<?php
/*  cms-db  Copyright (C) 2007-2009 Jan Hoffmann
    This program comes with ABSOLUTELY NO WARRANTY; for details see /admin/version.php.
    This is free software, and you are welcome to redistribute it under certain conditions; see /admin/version.php for details.  */
include('checkuser.inc.php');
checkuser('includes');
include('locale.inc.php');
$locale = new LocalizingClass('edit');
?>
<?php
if ($_POST['button']) {
//START
$filename = $_POST['file'];
$content = $_POST['content'];
$content = stripslashes($content);
if (is_writable($filename)) {

	if (!$handle = fopen($filename, "w")) {
		include('error.inc.php');
		throw_error(sprintf(locale('desc_error-open-file',true), $filename), 'editinc.php?inc='.$_POST['inc'].'&'.SID);
	}

	if (!fwrite($handle, $content)) {
		include('error.inc.php');
		throw_error(sprintf(locale('desc_error-write-file',true), $filename), 'editinc.php?inc='.$_POST['inc'].'&'.SID);
	}

	header("Location:includes.php?".SID);

	fclose($handle);

} else {
	include('error.inc.php');
	throw_error(sprintf(locale('desc_error-fileperms',true), $filename), 'editinc.php?inc='.$_POST['inc'].'&'.SID);
}
//ENDE
} else {
if (!isset($_GET['wysiwym'])) {
	$wysiwym = 'no';
} else {
	$wysiwym = $_GET['wysiwym'];
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
     "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title><?php locale('title_editinc') ?></title>
<meta http-equiv="content-type" content="text/html; charset=utf-8" />
<link rel="stylesheet" type="text/css" href="style.css">
<script type="text/javascript">
<!--
function addPage(text) {
 //text = text.replace(/\//g,"%2F");
 //text = text.replace(/&/g,"&amp;");
 document.forms[0].content.value = document.forms[0].content.value+" "+text;
}
function addFile(text) {
 document.forms[0].content.value = document.forms[0].content.value+" "+text;
}
//-->
</script>
<noscript><?php locale('desc_javascript') ?></noscript>
<?php
include('../functions_url.inc.php');
if ($wysiwym == 'yes') {
	include('wymeditor.inc.php');
} else {
	echo '<script type="text/javascript" src="jquery.js"></script>';
	echo '<script type="text/javascript" src="jquery.textarea.js"></script>';
	echo '<script type="text/javascript">$(function () { $("textarea").tabby(); });</script>';
}
?>
</head>
<body>

<h1><?php locale('title_editinc') ?></h1>
<p>
	<form action="editinc.php?<?php echo SID ?>" method="post">
		<?php
		if ($wysiwym == 'no') {
			echo '<a href="editinc.php?inc='.$_GET["inc"].'&amp;wysiwym=yes&amp;'.SID.'">'.locale('link_wysiwym-nophp',true).'</a><br />';
		} elseif ($wysiwym == 'yes') {
			echo '<a href="editinc.php?inc='.$_GET["inc"].'&amp;wysiwym=no&amp;'.SID.'">'.locale('link_nowysiwym',true).'</a><br />';
		}
		?>
		<input type="hidden" name="wysiwym" value="<?php echo $wysiwym ?>" />
		<input type="hidden" name="file" value="../data/includes/<?php echo $_GET['inc'] ?>" />
		<input type="hidden" name="inc" value="<?php echo $_GET['inc'] ?>" />
		<textarea class="wymeditor" id="content" name="content" cols="80" rows="20" style="border: 1px solid #BFBFBF; font-family: Verdana; font-size: 12px;"><?php
include('getcontent.inc.php');
echo GetContent("../data/includes/".$_GET['inc']);
?></textarea><br />
		<div id="formbuttons">
			<input type="submit" name="button" value="<?php locale('button_save') ?>" class="wymupdate" />
		</div>
        </form>
</p>
<?php
if ($wysiwym == 'no') {
?>
<h2><?php locale('desc_insert-url') ?></h2>
<h3><?php locale('desc_insert-page') ?></h3>
<p>
<?php
include('../data/settings/url.inc.php');

function createPageOverview($urlbefore, $urlafter, $ordner, $count = 0, $sub = FALSE) {
  $vorhanden = 0;
  $handle = opendir($ordner);
  while (false !== ($file = readdir($handle))) {
    if($file != '.' && $file != '..') {
      if (is_dir($ordner."/".$file)) {
        $dirs[] = $ordner."/".$file;
        $vorhanden = 1;
      }
    }
  }
  if ($vorhanden == 1) {
    echo '<ul>';
  }
  $replace1 = array('%2F','%2C');
  $replace2 = array('/',',');
  if($dirs) {
    natcasesort($dirs);
    foreach($dirs as $dir) {
      $file = str_replace($ordner."/","",$dir);
      $show = substr($file, 3);
      $show = str_replace("_"," ",$show);
      $show = str_replace("SLASH","/",$show);
      $show = str_replace("AND" ,"&", $show);
      echo '<li><a href="#" onclick="addPage(\''.get_full_url(substr($ordner,13).'/'.$file.'/01,Home').'\')">'.$show.'</a>';
      createPageOverview($urlbefore, $urlafter, $dir, $count+1, TRUE, $file);
	  echo '</li>';
    }
  }
  closedir($handle);
  if ($vorhanden == 1) {
    echo '</ul>';
  }
}
createPageOverview($urlbefore, $urlafter, "../data/pages");
?>
</p>
<h3><?php locale('desc_insert-file') ?></h3>
<p>
<?php
$filelist = array();
$handle = opendir('../data/files');
while (false !== ($file = readdir($handle))) {
	if($file != '.' && $file != '..' && $file != '.htaccess') {
		$filelist[] = $file;
	}
}
closedir($handle);
if (count($filelist) > 0) {
	natcasesort($filelist);
	foreach ($filelist as $file) {
		echo '<li><a href="javascript:addFile(\''.$urlabsolute.'/data/files/'.$file.'\')">'.$file.'</a></li>';
	}
}
?>
</p>
<?php
}
?>

</body>
</html>
<?php
}
?>
