<?php
/*  cms-db  Copyright (C) 2007-2009 Jan Hoffmann
    This program comes with ABSOLUTELY NO WARRANTY; for details see /admin/version.php.
    This is free software, and you are welcome to redistribute it under certain conditions; see /admin/version.php for details.  */
include('checkuser.inc.php');
checkuser('files');
include('locale.inc.php');
$locale = new LocalizingClass('files');
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
     "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
	<head>
		<title><?php locale('desc_files') ?></title>
		<meta http-equiv="content-type" content="text/html; charset=utf-8" />
		<link rel="stylesheet" type="text/css" href="style.css">
		<link rel="stylesheet" type="text/css" href="<?php include('mobile.inc.php'); echo mobile() ? 'style-extra-mobile.css' : 'style-extra.css'; ?>" />
		<script src="jquery.js" type="text/javascript"></script>
		<script src="anchormenu.js" type="text/javascript"></script>
	</head>
	<body>

		<h1><?php locale('desc_files') ?></h1>

		<div class="anchormenu"><span class="leftcorner">&nbsp;</span><ul><li><a href="#filelist" class="nonewtab"><?php locale('link_filelist') ?></a></li><li><a href="#upload" class="nonewtab"><?php locale('button_upload') ?></a></li></ul><span class="rightcorner">&nbsp;</span></div>

		<div id="filelist">
			<h2><?php locale('title_filelist') ?></h2>
<?php
function detect_mime($filename, $mode) {
  $filetype = strrchr($filename, '.');
  $filetype = strtolower($filetype);  
  switch ($filetype) {
   case ".php": $mime="application/x-php"; $icon="php.png"; break;
   case ".zip": $mime="application/zip"; $icon="archive.png"; break;
   case ".rar": $mime="application/x-rar"; $icon="archive.png"; break;   
   case ".gz": $mime="application/x-compressed-tar"; $icon="archive.png"; break;
   case ".bz2": $mime="application/x-bzip-compressed-tar"; $icon="archive.png"; break;
   case ".ez":  $mime="application/andrew-inset"; $icon="unknown.png"; break;
   case ".hqx": $mime="application/mac-binhex40"; $icon="exec.png"; break;
   case ".cpt": $mime="application/mac-compactpro"; $icon="exec.png"; break;
   case ".doc": $mime="application/msword"; $icon="wordprocessing.png"; break;
   case ".bin": $mime="application/octet-stream"; $icon="unknown.png"; break;
   case ".dms": $mime="application/octet-stream"; $icon="unknown.png"; break;
   case ".lha": $mime="application/octet-stream"; $icon="unknown.png"; break;
   case ".lzh": $mime="application/octet-stream"; $icon="unknown.png"; break;
   case ".exe": $mime="application/octet-stream"; $icon="exec.png"; break;
   case ".class": $mime="application/octet-stream"; $icon="unknown.png"; break;
   case ".so":  $mime="application/octet-stream"; $icon="unknown.png"; break;
   case ".dll": $mime="application/octet-stream"; $icon="exec.png"; break;
   case ".oda": $mime="application/oda"; $icon="unknown.png"; break;
   case ".pdf": $mime="application/pdf"; $icon="pdf.png"; break;
   case ".ai":  $mime="application/postscript"; $icon="unknown.png"; break;
   case ".eps": $mime="application/postscript"; $icon="unknown.png"; break;
   case ".ps":  $mime="application/postscript"; $icon="unknown.png"; break;
   case ".smi": $mime="application/smil"; $icon="unknown.png"; break;
   case ".smil": $mime="application/smil"; $icon="unknown.png"; break;
   case ".xls": $mime="application/vnd.ms-excel"; $icon="spreadsheet.png"; break;
   case ".ppt": $mime="application/vnd.ms-powerpoint"; $icon="unknown.png"; break;
   case ".wbxml": $mime="application/vnd.wap.wbxml"; $icon="unknown.png"; break;
   case ".wmlc": $mime="application/vnd.wap.wmlc"; $icon="unknown.png"; break;
   case ".wmlsc": $mime="application/vnd.wap.wmlscriptc"; $icon="unknown.png"; break;
   case ".bcpio": $mime="application/x-bcpio"; $icon="unknown.png"; break;
   case ".vcd": $mime="application/x-cdlink"; $icon="unknown.png"; break;
   case ".pgn": $mime="application/x-chess-pgn"; $icon="unknown.png"; break;
   case ".cpio": $mime="application/x-cpio"; $icon="unknown.png"; break;
   case ".csh": $mime="application/x-csh"; $icon="unknown.png"; break;
   case ".dcr": $mime="application/x-director"; $icon="unknown.png"; break;
   case ".dir": $mime="application/x-director"; $icon="unknown.png"; break;
   case ".dxr": $mime="application/x-director"; $icon="unknown.png"; break;
   case ".dvi": $mime="application/x-dvi"; $icon="unknown.png"; break;
   case ".spl": $mime="application/x-futuresplash"; $icon="unknown.png"; break;
   case ".gtar": $mime="application/x-gtar"; $icon="unknown.png"; break;
   case ".hdf": $mime="application/x-hdf"; $icon="unknown.png"; break;
   case ".js":  $mime="application/x-javascript"; $icon="script.png"; break;
   case ".skp": $mime="application/x-koan"; $icon="unknown.png"; break;
   case ".skd": $mime="application/x-koan"; $icon="unknown.png"; break;
   case ".skt": $mime="application/x-koan"; $icon="unknown.png"; break;
   case ".skm": $mime="application/x-koan"; $icon="unknown.png"; break;
   case ".latex": $mime="application/x-latex"; $icon="unknown.png"; break;
   case ".nc":  $mime="application/x-netcdf"; $icon="unknown.png"; break;
   case ".cdf": $mime="application/x-netcdf"; $icon="unknown.png"; break;
   case ".sh":  $mime="application/x-sh"; $icon="unknown.png"; break;
   case ".shar": $mime="application/x-shar"; $icon="unknown.png"; break;
   case ".swf": $mime="application/x-shockwave-flash"; $icon="unknown.png"; break;
   case ".sit": $mime="application/x-stuffit"; $icon="unknown.png"; break;
   case ".sv4cpio": $mime="application/x-sv4cpio"; $icon="unknown.png"; break;
   case ".sv4crc": $mime="application/x-sv4crc"; $icon="unknown.png"; break;
   case ".tar": $mime="application/x-tar"; $icon="archive.png"; break;
   case ".tcl": $mime="application/x-tcl"; $icon="unknown.png"; break;
   case ".tex": $mime="application/x-tex"; $icon="unknown.png"; break;
   case ".texinfo": $mime="application/x-texinfo"; $icon="unknown.png"; break;
   case ".texi": $mime="application/x-texinfo"; $icon="unknown.png"; break;
   case ".t":   $mime="application/x-troff"; $icon="unknown.png"; break;
   case ".tr":  $mime="application/x-troff"; $icon="unknown.png"; break;
   case ".roff": $mime="application/x-troff"; $icon="unknown.png"; break;
   case ".man": $mime="application/x-troff-man"; $icon="unknown.png"; break;
   case ".me":  $mime="application/x-troff-me"; $icon="unknown.png"; break;
   case ".ms":  $mime="application/x-troff-ms"; $icon="unknown.png"; break;
   case ".ustar": $mime="application/x-ustar"; $icon="unknown.png"; break;
   case ".src": $mime="application/x-wais-source"; $icon="unknown.png"; break;
   case ".xhtml": $mime="application/xhtml+xml"; $icon="html.png"; break;
   case ".xht": $mime="application/xhtml+xml"; $icon="html.png"; break;
   case ".ogg": $mime="application/ogg"; $icon="film.png"; break;   

   case ".au":  $mime="audio/basic"; $icon="sound.png"; break;
   case ".snd": $mime="audio/basic"; $icon="sound.png"; break;
   case ".mid": $mime="audio/midi"; $icon="sound.png"; break;
   case ".midi": $mime="audio/midi"; $icon="sound.png"; break;
   case ".kar": $mime="audio/midi"; $icon="sound.png"; break;
   case ".mpga": $mime="audio/mpeg"; $icon="sound.png"; break;
   case ".mp2": $mime="audio/mpeg"; $icon="sound.png"; break;
   case ".mp3": $mime="audio/mpeg"; $icon="sound.png"; break;
   case ".aif": $mime="audio/x-aiff"; $icon="sound.png"; break;
   case ".aiff": $mime="audio/x-aiff"; $icon="sound.png"; break;
   case ".aifc": $mime="audio/x-aiff"; $icon="sound.png"; break;
   case ".m3u": $mime="audio/x-mpegurl"; $icon="sound.png"; break;
   case ".ram": $mime="audio/x-pn-realaudio"; $icon="sound.png"; break;
   case ".rm":  $mime="audio/x-pn-realaudio"; $icon="sound.png"; break;
   case ".rpm": $mime="audio/x-pn-realaudio-plugin"; $icon="sound.png"; break;
   case ".ra":  $mime="audio/x-realaudio"; $icon="sound.png"; break;
   case ".wav": $mime="audio/x-wav"; $icon="sound.png"; break;
   case ".oga": $mime="audio/ogg"; $icon="sound.png"; break;

   case ".pdb": $mime="chemical/x-pdb"; $icon="unknown.png"; break;
   case ".xyz": $mime="chemical/x-xyz"; $icon="unknown.png"; break;

   case ".bmp": $mime="image/bmp"; $icon="image.png"; break;
   case ".gif": $mime="image/gif"; $icon="image.png"; break;
   case ".ief": $mime="image/ief"; $icon="image.png"; break;
   case ".jpeg": $mime="image/jpeg"; $icon="image.png"; break;
   case ".jpg": $mime="image/jpeg"; $icon="image.png"; break;
   case ".jpe": $mime="image/jpeg"; $icon="image.png"; break;
   case ".png": $mime="image/png"; $icon="image.png"; break;
   case ".tiff": $mime="image/tiff"; $icon="image.png"; break;
   case ".tif": $mime="image/tiff"; $icon="image.png"; break;
   case ".djvu": $mime="image/vnd.djvu"; $icon="image.png"; break;
   case ".djv": $mime="image/vnd.djvu"; $icon="image.png"; break;
   case ".wbmp": $mime="image/vnd.wap.wbmp"; $icon="image.png"; break;
   case ".ras": $mime="image/x-cmu-raster"; $icon="image.png"; break;
   case ".pnm": $mime="image/x-portable-anymap"; $icon="image.png"; break;
   case ".pbm": $mime="image/x-portable-bitmap"; $icon="image.png"; break;
   case ".pgm": $mime="image/x-portable-graymap"; $icon="image.png"; break;
   case ".ppm": $mime="image/x-portable-pixmap"; $icon="image.png"; break;
   case ".rgb": $mime="image/x-rgb"; $icon="image.png"; break;
   case ".xbm": $mime="image/x-xbitmap"; $icon="image.png"; break;
   case ".xpm": $mime="image/x-xpixmap"; $icon="image.png"; break;
   case ".xwd": $mime="image/x-xwindowdump"; $icon="image.png"; break;

   case ".igs": $mime="model/iges"; $icon="unknown.png"; break;
   case ".iges": $mime="model/iges"; $icon="unknown.png"; break;
   case ".msh": $mime="model/mesh"; $icon="unknown.png"; break;
   case ".mesh": $mime="model/mesh"; $icon="unknown.png"; break;
   case ".silo": $mime="model/mesh"; $icon="unknown.png"; break;
   case ".wrl": $mime="model/vrml"; $icon="unknown.png"; break;
   case ".vrml": $mime="model/vrml"; $icon="unknown.png"; break;

   case ".css": $mime="text/css"; $icon="txt.png"; break;
   case ".html": $mime="text/html"; $icon="html.png"; break;
   case ".asc": $mime="text/plain"; $icon="txt.png"; break;
   case ".txt": $mime="text/plain"; $icon="txt.png"; break;
   case ".rtx": $mime="text/richtext"; $icon="wordprocessing.png"; break;
   case ".rtf": $mime="text/rtf"; $icon="wordprocessing.png"; break;
   case ".sgml": $mime="text/sgml"; $icon="txt.png"; break;
   case ".sgm": $mime="text/sgml"; $icon="txt.png"; break;
   case ".tsv": $mime="text/tab-separated-values"; $icon="txt.png"; break;
   case ".wml": $mime="text/vnd.wap.wml"; $icon="txt.png"; break;
   case ".wmls": $mime="text/vnd.wap.wmlscript"; $icon="txt.png"; break;
   case ".etx": $mime="text/x-setext"; $icon="txt.png"; break;
   case ".xml": $mime="text/xml"; $icon="txt.png"; break;
   case ".xsl": $mime="text/xml"; $icon="txt.png"; break;

   case ".mpeg": $mime="video/mpeg"; $icon="film.png"; break;
   case ".mpg": $mime="video/mpeg"; $icon="film.png"; break;
   case ".mpe": $mime="video/mpeg"; $icon="film.png"; break;
   case ".qt":  $mime="video/quicktime"; $icon="film.png"; break;
   case ".mov": $mime="video/quicktime"; $icon="film.png"; break;
   case ".mxu": $mime="video/vnd.mpegurl"; $icon="film.png"; break;
   case ".avi": $mime="video/x-msvideo"; $icon="film.png"; break;
   case ".movie": $mime="video/x-sgi-movie"; $icon="film.png"; break;
   case ".asf": $mime="video/x-ms-asf"; $icon="film.png"; break;
   case ".asx": $mime="video/x-ms-asf"; $icon="film.png"; break;
   case ".wm":  $mime="video/x-ms-wm"; $icon="film.png"; break;
   case ".wmv": $mime="video/x-ms-wmv"; $icon="film.png"; break;
   case ".wvx": $mime="video/x-ms-wvx"; $icon="film.png"; break;
   case ".ogv": $mime="video/ogg"; $icon="film.png"; break;

   default: $mime="unknown"; $icon="unknown.png";
  }

  if ($mode == 'mime') {
   return $mime;
  } elseif ($mode == 'icon') {
   return $icon;
  } else {
   return '<b>Error:</b> No parameter!';
  }
}
?>
			<table border="0" cellspacing="0" cellpadding="1" style="margin-left: 1px; margin-top: 1px; border: 1px solid black">
			<tr>
				<th style="border-top: 1px dotted black; border-right: 1px dotted black; border-left: 1px dotted black; border-bottom: 1px solid black"><?php locale('desc_filename') ?></th>
				<th style="border-top: 1px dotted black; border-right: 1px dotted black; border-bottom: 1px solid black"><?php locale('desc_filesize') ?></th>
				<th style="border-top: 1px dotted black; border-right: 1px dotted black; border-bottom: 1px solid black"><?php locale('desc_mime') ?></th>
				<th style="border-top: 1px dotted black; border-right: 1px dotted black; border-bottom: 1px solid black"><?php locale('desc_action') ?></th>
			</tr>
<?php
function getFileSize($file, $i = 1) {
    $size = filesize($file);
    if($size >= 1073741824) {
        return round($size/1073741824, $i).' GiB';
    } elseif($size >= 1048576) {
        return round($size/1048576, $i).' MiB';
    } elseif($size >= 1024) {
        return round($size/1024, $i).' KiB';
    } else {
		return $size.' Bytes';
	}
}
$vorhanden = false;
$files = array();
if ($handle = opendir('../data/files')) {
	while (false !== ($file = readdir($handle))) {
		if($file != '.' && $file != '..' && $file != '.htaccess') {
			$vorhanden = true;
			$files[] = $file;
		}
	}
	closedir($handle);
}
?>
<?php
if ($vorhanden) {
	natcasesort($files);
	foreach ($files as $file) {
		echo '<tr>
			<td style="border-left: 1px dotted black; border-right: 1px dotted black; border-bottom: 1px dotted black; white-space: pre-wrap;"><img src="icons/'.detect_mime($file, 'icon').'" border="0" height="16" width="16">'.$file.'</td>
			<td style="border-right: 1px dotted black; border-bottom: 1px dotted black">'.getFileSize('../data/files/'.$file).'</td>
			<td style="border-right: 1px dotted black; border-bottom: 1px dotted black">'.detect_mime($file, 'mime').'</td>
			<td style="border-right: 1px dotted black; border-bottom: 1px dotted black"><a href="renamefile.php?file='.$file.'&'.SID.'"><img src="icons/rename.png" style="vertical-align:middle" border="0" height="16" width="16" />'.locale('link_rename',true).'</a>&nbsp;<a href="delfile.php?file='.$file.'&'.SID.'"><img src="icons/delete.png" style="vertical-align:middle" border="0" height="16" width="16" />'.locale('link_delete',true).'</a></td>
		</tr>';

	}
} else {
	echo '<tr><td colspan="4" style="border-left: 1px dotted black; border-right: 1px dotted black; border-bottom: 1px dotted black">'.locale('desc_no-files',true).'</td></tr>';
}
?>
			</table>
			<p>
				<i>
					<?php
					if ($_GET['special'] == 'deletefile') {
						locale('desc_deleted');
					} elseif ($_GET['special'] == 'restorefile') {
						locale('desc_undeleted');
					} else {
						locale('desc_recyclebin');
					}
					?>
				</i>
			</p>
		</div>
		<div id="upload">
			<h2><?php locale('title_upload') ?></h2>
			<p>
				<form action="upload.php?<?php echo SID ?>" method="post" enctype="multipart/form-data" name="upload">
					<input type="file" name="file" /><br />
					<input type="submit" name="submit" value="<?php locale('button_upload') ?>" />
				</form>
			</p>
		</div>

	</body>
</html>
