<?php
/*  cms-db  Copyright (C) 2007-2009 Jan Hoffmann
    This program comes with ABSOLUTELY NO WARRANTY; for details see /admin/version.php.
    This is free software, and you are welcome to redistribute it under certain conditions; see /admin/version.php for details.  */
include('checkuser.inc.php');
checkuser('');
include('locale.inc.php');
$locale = new LocalizingClass('recyclebin');
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
     "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title><?php locale('desc_recyclebin') ?></title>
<meta http-equiv="content-type" content="text/html; charset=utf-8" />
<link rel="stylesheet" type="text/css" href="style.css">
</head>
<body>

<h1><?php locale('desc_recyclebin') ?></h1>
<p>
	<?php locale('desc_restore') ?><br />
	<?php locale('desc_delete') ?>
</p>
<h2><?php locale('title_pages') ?></h2>
<ul>
	<?php
	$vorhanden = false;
	if ($handle = opendir('../data/recyclebin/pages')) {
	while (false !== ($file = readdir($handle))) {
		if($file != "." && $file != "..") {
			$endung = strrchr($file, ".");
			echo '<li><a href="restorepage.php?page='.$file.'&'.SID.'">'.$file.'</a></li>';
			$vorhanden = true;
		}
	}
	closedir($handle);
	}
	?>
	<?php
	if ($vorhanden != true) {
		locale('desc_no-pages');
	}
	?>
</ul>
<h2><?php locale('title_files') ?></h2>
<ul>
	<?php
	$vorhanden = false;
	if ($handle = opendir('../data/recyclebin/files')) {
	while (false !== ($file = readdir($handle))) {
		if($file != "." && $file != "..") {
			$endung = strrchr($file, ".");
			echo '<li><a href="restorefile.php?file='.$file.'&'.SID.'">'.$file.'</a></li>';
			$vorhanden = true;
		}
	}
	closedir($handle);
	}
	?>
	<?php
	if ($vorhanden != true) {
		locale('desc_no-files');
	}
	?>
</ul>
<h2><?php locale('title_includes') ?></h2>
<ul>
	<?php
	$vorhanden = false;
	if ($handle = opendir('../data/recyclebin/includes')) {
	while (false !== ($file = readdir($handle))) {
		if($file != "." && $file != "..") {
			$endung = strrchr($file, ".");
			echo '<li><a href="restoreinc.php?inc='.$file.'&'.SID.'">'.$file.'</a></li>';
			$vorhanden = true;
		}
	}
	closedir($handle);
	}
	?>
	<?php
	if ($vorhanden != true) {
		locale('desc_no-includes');
	}
	?>
</ul>

</body>
</html>
