<?php
/*  cms-db  Copyright (C) 2007-2009 Jan Hoffmann
    For a full list of authors, see info.php
    This program comes with ABSOLUTELY NO WARRANTY; for details see /admin/version.php.
    This is free software, and you are welcome to redistribute it under certain conditions; see /admin/version.php for details.  */

$locale['common'] = array();

# Start: Buttons
$locale['common']['button_ok'] = 'OK';
$locale['common']['button_save'] = 'Speichern';
$locale['common']['button_cancel'] = 'Abbrechen';
$locale['common']['button_yes'] = 'Ja';
$locale['common']['button_no'] = 'Nein';
$locale['common']['button_send'] = 'Senden';
$locale['common']['button_reset'] = 'Formular zurücksetzen';
# End: Buttons

# Start: Categories
$locale['common']['desc_pages'] = 'Seitenverwaltung';
$locale['common']['desc_files'] = 'Dateiverwaltung';
$locale['common']['desc_includes'] = 'Includes';
$locale['common']['desc_settings'] = 'Einstellungen';
$locale['common']['desc_template'] = 'Template/Design';
$locale['common']['desc_space'] = 'Speicherplatz';
$locale['common']['desc_fileperms'] = 'Dateiberechtigungen';
$locale['common']['desc_backup'] = 'Sicherheitskopien';
$locale['common']['desc_guestbook'] = 'Gästebucheinträge';
$locale['common']['desc_blog'] = 'Blog';
$locale['common']['desc_stats'] = 'Statistiken';
$locale['common']['desc_recyclebin'] = 'Recycling-Center';
# End: Categories

# Start: Settings
$locale['common']['link_usersettings'] = 'Benutzer';
$locale['common']['link_commonsettings'] = 'Allgemein';
$locale['common']['link_urlsettings'] = 'URL';
$locale['common']['link_adminsettings'] = 'Erscheinungsbild';
$locale['common']['link_localesettings'] = 'Sprache';
$locale['common']['desc_settings-saved'] = 'Die Einstellungen wurden gespeichert.';
# End: Settings

# Start: Errors
$locale['common']['title_error'] = 'Fehler';
$locale['common']['desc_error-open-file'] = 'Kann die Datei <i>%s</i> nicht öffnen.';
$locale['common']['desc_error-write-file'] = 'Kann nicht in die Datei <i>%s</i> schreiben.';
$locale['common']['desc_error-fileperms'] = 'Sie haben keine Schreibrechte für die Datei <i>%s</i>.';
$locale['common']['desc_error-move-file'] = 'Die Datei konnte nicht verschoben werden.';
$locale['common']['desc_error-input'] = 'Sie haben nicht alle benötigten Felder ausgefüllt.';
$locale['common']['link_back'] = 'Zurück';
# End: Errors

# Start: WYMeditor
$locale['common']['wymeditor_align_left'] = 'Links ausgerichtet';
$locale['common']['wymeditor_align_right'] = 'Rechts ausgerichtet';
$locale['common']['wymeditor_align_clear'] = 'Ausrichtung aufheben';
$locale['common']['wymeditor_attributes'] = 'Attribute';
$locale['common']['wymeditor_new_window'] = 'Neues Fenster';
$locale['common']['wymeditor_new_window_title'] = 'Einen Hyperlink in einem neuen Fenster öffnen';
$locale['common']['wymeditor_anchor'] = 'Anker (ID)';
$locale['common']['wymeditor_anchor_title'] = 'Einen Anker hinzufügen (id-Attribut)';
$locale['common']['wymeditor_value'] = 'Wert:';
$locale['common']['wymeditor_wrong_element'] = 'Dieses Attribut kann dem ausgewählten Element nicht zugewiesen werden.';
$locale['common']['wymeditor_error_external'] = 'Diese Funktion ist standardmäßig deaktiviert.';
$locale['common']['wymeditor_error_external_why'] = 'Warum?';
$locale['common']['wymeditor_error_external_more1'] = 'Das Attribut um einen Link in einem neuen Fenster zu öffnen wurde in XHTML 1.0 Strict entfernt.';
$locale['common']['wymeditor_error_external_more2'] = 'Deshalb muss ein Trick verwendet werden, um Links in einem neuen Fenster zu öffnen. Dieser Trick benötigt Javascript und könnte mit Popup-Blockern Probleme bereiten.';
$locale['common']['wymeditor_error_external_more3'] = 'Bitte verwenden Sie diese Funktion sehr vorsichtig!';
# End: WYMeditor

# Start: Editor
$locale['common']['desc_javascript'] = 'Sie müssen Javascript aktivieren, um die Funktion zum Einfügen von Adressen oder den WYSIWYM-Editor zu verwenden.';
$locale['common']['desc_insert-page'] = 'Seiten';
$locale['common']['desc_insert-file'] = 'Dateien';
# End: Editor

# Start: Password
$locale['common']['label_oldpw'] = 'Altes Passwort:';
$locale['common']['label_newpw'] = 'Neues Passwort:';
$locale['common']['desc_repeat'] = 'Passwort wiederholen:';
$locale['common']['desc_error-invalid-data'] = 'Die eingegebenen Daten sind ungültig.';
# End: Password

$locale['common']['label_username'] = 'Benutzername';
$locale['common']['label_password'] = 'Passwort';

$locale['common']['link_next'] = 'Weiter';
$locale['common']['link_edit'] = 'bearbeiten';
$locale['common']['link_rename'] = 'umbenennen';
$locale['common']['link_delete'] = 'löschen';
$locale['common']['desc_action'] = 'Aktion';

$locale['common']['title_editpage'] = 'Seite bearbeiten';

$locale['common']['button_create'] = 'Erstellen';

$locale['common']['link_close'] = 'Schließen';
?>
