<?php
/*  cms-db  Copyright (C) 2007-2009 Jan Hoffmann
    For a full list of authors, see info.php
    This program comes with ABSOLUTELY NO WARRANTY; for details see /admin/version.php.
    This is free software, and you are welcome to redistribute it under certain conditions; see /admin/version.php for details.  */

$locale['common'] = array();

# Start: Buttons
$locale['common']['button_ok'] = 'OK';
$locale['common']['button_save'] = 'Save';
$locale['common']['button_cancel'] = 'Cancel';
$locale['common']['button_yes'] = 'Yes';
$locale['common']['button_no'] = 'No';
$locale['common']['button_send'] = 'Send';
$locale['common']['button_reset'] = 'Reset form';
# End: Buttons

# Start: Categories
$locale['common']['desc_pages'] = 'Page Management';
$locale['common']['desc_files'] = 'File Management';
$locale['common']['desc_includes'] = 'Includes';
$locale['common']['desc_settings'] = 'Settings';
$locale['common']['desc_template'] = 'Template/Design';
$locale['common']['desc_space'] = 'Disk Space';
$locale['common']['desc_fileperms'] = 'File Permissions';
$locale['common']['desc_backup'] = 'Backups';
$locale['common']['desc_guestbook'] = 'Guestbook Entries';
$locale['common']['desc_blog'] = 'Blog';
$locale['common']['desc_stats'] = 'Statistics';
$locale['common']['desc_recyclebin'] = 'Recycling Center';
# End: Categories

# Start: Settings
$locale['common']['link_usersettings'] = 'Users';
$locale['common']['link_commonsettings'] = 'Common';
$locale['common']['link_urlsettings'] = 'URL';
$locale['common']['link_adminsettings'] = 'Appearance';
$locale['common']['link_localesettings'] = 'Language';
$locale['common']['desc_settings-saved'] = 'The settings have been saved.';
# End: Settings

# Start: Errors
$locale['common']['title_error'] = 'Error';
$locale['common']['desc_error-open-file'] = 'Can\'t open the file <i>%s</i>.';
$locale['common']['desc_error-write-file'] = 'Can\'t write to the file <i>%s</i>.';
$locale['common']['desc_error-fileperms'] = 'You don\'t have write permissions for the file <i>%s</i>.';
$locale['common']['desc_error-move-file'] = 'The file couldn\'t be moved.';
$locale['common']['desc_error-input'] = 'You haven\'t filled in all necessary input fields!';
$locale['common']['link_back'] = 'Back';
# End: Errors

# Start: WYMeditor
$locale['common']['wymeditor_align_left'] = 'Aligned left';
$locale['common']['wymeditor_align_right'] = 'Aligned right';
$locale['common']['wymeditor_align_clear'] = 'Stop alignment';
$locale['common']['wymeditor_attributes'] = 'Attributes';
$locale['common']['wymeditor_new_window'] = 'New window';
$locale['common']['wymeditor_new_window_title'] = 'Open a link in a new window';
$locale['common']['wymeditor_anchor'] = 'Anchor (ID)';
$locale['common']['wymeditor_anchor_title'] = 'Add an anchor (id attribute)';
$locale['common']['wymeditor_value'] = 'Value:';
$locale['common']['wymeditor_wrong_element'] = 'This attribute can\'t be assigned to the selected element.';
$locale['common']['wymeditor_error_external'] = 'This function is disabled by default.';
$locale['common']['wymeditor_error_external_why'] = 'Why?';
$locale['common']['wymeditor_error_external_more1'] = 'The attribute to open a link in a new window was removed in XHTML 1.0 Strict.';
$locale['common']['wymeditor_error_external_more2'] = 'Thus a work-around has to be used for opening links in a new window. This work-around requires Javascript and may be broken for users with popup blocker.';
$locale['common']['wymeditor_error_external_more3'] = 'Please use this function very carefully!';
# End: WYMeditor

# Start: Editor
$locale['common']['desc_javascript'] = 'You have to activate Javascript to use the functionality of inserting addresses or the WYSIWYM editor.';
$locale['common']['desc_insert-page'] = 'Pages';
$locale['common']['desc_insert-file'] = 'Files';
# End: Editor

# Start: Password
$locale['common']['label_oldpw'] = 'Old password:';
$locale['common']['label_newpw'] = 'New passwort:';
$locale['common']['desc_repeat'] = 'Repeat password:';
$locale['common']['desc_error-invalid-data'] = 'The supplied data is invalid.';
# End: Password

$locale['common']['label_username'] = 'Username';
$locale['common']['label_password'] = 'Password';

$locale['common']['link_next'] = 'Next';
$locale['common']['link_edit'] = 'edit';
$locale['common']['link_rename'] = 'rename';
$locale['common']['link_delete'] = 'delete';
$locale['common']['desc_action'] = 'Action';

$locale['common']['title_editpage'] = 'Edit Page';

$locale['common']['button_create'] = 'Create';

$locale['common']['link_close'] = 'Close';
?>
