<?php
/*  cms-db  Copyright (C) 2007-2009 Jan Hoffmann
    This program comes with ABSOLUTELY NO WARRANTY; for details see /admin/version.php.
    This is free software, and you are welcome to redistribute it under certain conditions; see /admin/version.php for details.  */
include('checkuser.inc.php');
checkuser('includes');
include('locale.inc.php');
$locale = new LocalizingClass('files');
?>
<?php
if (isset($_POST['button'])) {
	$file = $_POST['file'];
	$name = $_POST['new'];
	$name = str_replace(" " ,"_", $name);
	$name = str_replace("&" ,"AND", $name);
	if (!preg_match('/[^a-z0-9._-]/i', $name)) {
		if (!file_exists('../data/files/'.$name)) {
			if (!rename('../data/files/'.$file, '../data/files/'.$name)) {
				include('error.inc.php');
				throw_error(locale('desc_rename-error',true), 'renamefile.php?file='.$file.'&'.SID);
			}
			header('Location: files.php?'.SID);
		} else {
			include('error.inc.php');
			throw_error(locale('desc_error-filename',true), 'renamefile.php?file='.$file.'&'.SID);
		}
	} else {
		include('error.inc.php');
		throw_error(locale('desc_rename-error-specialchars',true), 'renamefile.php?file='.$file.'&'.SID);
	}
} else {
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
     "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title><?php locale('title_rename') ?></title>
<meta http-equiv="content-type" content="text/html; charset=utf-8" />
<link rel="stylesheet" type="text/css" href="style.css">
</head>
<body>

<h1><?php locale('title_rename') ?></h1>
<p>
	<form action="renamefile.php?<?php echo SID ?>" method="POST">
		<input type="hidden" name="file" value="<?php echo $_GET['file'] ?>" />
		<?php printf(locale('desc_rename',true), $_GET['file']) ?>
		<input type="text" name="new" value="" /><br />
		<input type="submit" name="button" value="<?php locale('button_ok') ?>">
		<a href="files.php?<?php echo SID ?>"><?php locale('button_cancel') ?></a>
	</form>
</p>

</body>
</html>

<?php
}
?>
