<?php
/*  cms-db  Copyright (C) 2007-2009 Jan Hoffmann
    This program comes with ABSOLUTELY NO WARRANTY; for details see /admin/version.php.
    This is free software, and you are welcome to redistribute it under certain conditions; see /admin/version.php for details.  */
include('checkuser.inc.php');
checkuser('template');
include('locale.inc.php');
$locale = new LocalizingClass('edit');
?>
<?php
if ($_POST['button']) {
//START
$filename = "../data/template.tpl";
$content = $_POST['content'];
$content = stripslashes($content);
if (is_writable($filename)) {

   if (!$handle = fopen($filename, "w")) {
		include('error.inc.php');
		throw_error(sprintf(locale('desc_error-open-file',true), $filename), 'template.php?'.SID);
   }

   if (!fwrite($handle, $content)) {
		include('error.inc.php');
		throw_error(sprintf(locale('desc_error-write-file',true), $filename), 'template.php?'.SID);
   }

   header('Location:template.php?saved=yes&'.SID);

   fclose($handle);

} else {
		include('error.inc.php');
		throw_error(sprintf(locale('desc_error-fileperms',true), $filename), 'template.php?'.SID);
}
//ENDE
} else {
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
     "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title><?php locale('desc_template') ?></title>
<meta http-equiv="content-type" content="text/html; charset=utf-8" />
<link rel="stylesheet" type="text/css" href="style.css">
<script type="text/javascript">
<!--
function addPage(text) {
 //text = text.replace(/\//g,"%2F");
 //text = text.replace(/&/g,"&amp;");
 document.forms[0].content.value = document.forms[0].content.value+" "+text;
}
function addFile(text) {
 document.forms[0].content.value = document.forms[0].content.value+" "+text;
}
//-->
</script>
<script type="text/javascript" src="jquery.js"></script><script type="text/javascript" src="jquery.textarea.js"></script><script type="text/javascript">$(function () { $("textarea").tabby(); });</script>
<noscript><noscript><?php locale('desc_javascript') ?></noscript></noscript>
</head>
<body>

<h1><?php locale('desc_template') ?></h1>
<?php
if($_GET['saved'] == "yes") {
	echo '<p class="hint">'.locale('desc_savedtpl',true).'</p>';
}
?>
<p>
	<form action="template.php?<?php echo SID ?>" method="post">
		<textarea id="content" name="content" cols="80" rows="20" style="border: 1px solid #BFBFBF; font-family: Verdana; font-size: 12px;"><?php
include('getcontent.inc.php');
echo GetContent("../data/template.tpl");
?></textarea><br />
		<input type="submit" name="button" value="<?php locale('button_save') ?>">
         </form>
</p>
<p>
	<?php locale('desc_variables') ?>
	<a href="variables.php?<?php echo SID ?>"><?php locale('link_variables') ?></a>
</p>
<h2><?php locale('desc_insert-url') ?></h2>
<h3><?php locale('desc_insert-page') ?></h3>
<?php
include('../data/settings/url.inc.php');

include ('../functions_url.inc.php');
function createPageOverview($urlbefore, $urlafter, $ordner, $count = 0, $sub = FALSE) {
  $handle = opendir($ordner);
  while (false !== ($file = readdir($handle))) {
    if($file != '.' && $file != '..') {
      if(is_dir($ordner."/".$file)) {
        $dirs[] = $ordner."/".$file;
      }
    }
  }
  closedir($handle);
  if ($dirs) {
    echo '<ul>';
    $replace1 = array('%2F','%2C');
    $replace2 = array('/',',');
    natcasesort($dirs);
    foreach($dirs as $dir) {
      $file = str_replace($ordner."/","",$dir);
      $show = substr($file, 3);
      $show = str_replace("_"," ",$show);
      $show = str_replace("SLASH","/",$show);
      $show = str_replace("AND" ,"&", $show);
      echo '<li><a href="#" onclick="addPage(\''.get_full_url(substr($ordner,13).'/'.$file.'/01,Home').'\')">'.$show.'</a>';
      createPageOverview($urlbefore, $urlafter, $dir, $count+1, TRUE, $file);
	  echo '</li>';
    }
    echo '</ul>';
  }
}
createPageOverview($urlbefore, $urlafter, "../data/pages");
?>
<h3><?php locale('desc_insert-file') ?></h3>
<ul>
<?php
$filelist = array();
$handle = opendir('../data/files');
while (false !== ($file = readdir($handle))) {
	if($file != '.' && $file != '..' && $file != '.htaccess') {
		$filelist[] = $file;
	}
}
closedir($handle);
if (count($filelist) > 0) {
	natcasesort($filelist);
	foreach ($filelist as $file) {
		echo '<li><a href="javascript:addFile(\''.$urlabsolute.'/data/files/'.$file.'\')">'.$file.'</a></li>';
	}
}
?>
</ul>

</body>
</html>
<?php
}
?>
